import type { TTF } from "./parseTTF";
import type { Glyph } from "./types";
export declare const MISSING_GLYPH = "?";
/**
 * Calculates glyph information for a given font file and optional alphabet.
 *
 * @param ttf parsed TTF file (see parseTTF.ts).
 * @param alphabet a string of characters to include in the atlas. If not provided, all characters of the font will be included.
 * @returns an array of glyph quads.
 */
export declare function calculateGlyphQuads(ttf: TTF, alphabet?: string): Array<Glyph>;
