import type { TTF } from "./parseTTF";
import type { KerningFunction } from "./types";
/**
 * Generates a kerning function used by `shapeText()`.
 *
 * @param ttf parsed TTF file (see `parseTTF()`).
 * @returns a function that takes two glyph IDs and returns the kerning value.
 */
export declare function generateKerningFunction(ttf: TTF): KerningFunction;
