import type { BaseView } from "./layout/BaseView";
import { Vec4 } from "./math/Vec4";
import type { MouseEvent } from "./layout/eventTypes";
import { Vec2 } from "./math/Vec2";
/**
 * @returns whether event happened within the node's visible rectangle, including scrollbars.
 */
export declare function hitTest(node: BaseView, event: MouseEvent): boolean;
/**
 * @returns rectangle of the node's visible area in screen space coordinates, including scrollbars.
 */
export declare function getScreenVisibleRectangle(node: BaseView): Vec4;
export declare function pointToNodeSpace(node: BaseView, point: Vec2): Vec2;
