import type { Lookups } from "../font/types";
import type { Node } from "./Node";
import type { ExactLayoutProps, LayoutNodeState, TextStyleProps } from "./styling";
/**
 * Basic text node. The only way to create text. It cannot have children.
 */
export declare class Text implements Node {
    text: string;
    readonly props: {
        lookups: Lookups;
        style: TextStyleProps;
        testID?: string;
    };
    testID: string | null;
    next: Node | null;
    prev: Node | null;
    firstChild: Node | null;
    lastChild: Node | null;
    parent: Node | null;
    /**
     * Should always be normalized.
     */
    _style: TextStyleProps & ExactLayoutProps;
    _state: LayoutNodeState;
    constructor(text: string, props: {
        lookups: Lookups;
        style: TextStyleProps;
        testID?: string;
    });
}
