export class LRUCache {
    capacity;
    cache;
    constructor(capacity) {
        this.capacity = capacity;
        this.cache = new Map();
    }
    get(key) {
        if (!this.cache.has(key)) {
            return undefined;
        }
        // Move the accessed item to the end of the map (most recently used).
        const value = this.cache.get(key);
        this.cache.delete(key);
        this.cache.set(key, value);
        return value;
    }
    put(key, value) {
        if (this.cache.has(key)) {
            this.cache.delete(key);
        }
        this.cache.set(key, value);
        // Remove the least recently used item if we're over capacity.
        if (this.cache.size > this.capacity) {
            const leastRecentlyUsedKey = this.cache.keys().next().value;
            this.cache.delete(leastRecentlyUsedKey);
        }
    }
    size() {
        return this.cache.size;
    }
}
//# sourceMappingURL=LRUCache.js.map