import { Vec4 } from "../math/Vec4";
/**
 * Supported formats:
 *
 * ### Hex
 * - `#f00`
 * - `#ff0000`
 *
 * ### RGB
 *
 * - `rgb(255, 0, 0)`
 * - `rgba(255, 0, 0, 0.5)`
 *
 * ### HSL
 *
 * - `hsl(60, 100%, 50%)`
 * - `hsl(60 100% 50%)`
 * - `hsl(60, 100%, 50%, 0.8)`
 * - `hsl(60 100% 50% 0.8)`
 * - `hsla(60, 100%, 50%, 0.8)`
 * - `hsla(60 100% 50% 0.8)`
 * - `hsla(60 100% 50% / 0.8)`
 *
 * ### HSV
 *
 * See HSL.
 */
export declare function parseColor(color: string): Vec4;
